package com.bonus.core.allocation.canteen.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel("AllocAreaVO")
public class AllocAreaVO {
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("区域编号")
   private String areaNum;
   @ApiModelProperty("当前区域名称")
   private String areaName;
   @ApiModelProperty("区域描述")
   private String areaDescribe;
   @ApiModelProperty("上级区域id")
   private Long superId;
   @ApiModelProperty("上级区域名称")
   private String superAreaName;
   @ApiModelProperty("负责人")
   private String director;
   @ApiModelProperty("联系电话")
   private String contactTel;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaNum() {
      return this.areaNum;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public String getAreaDescribe() {
      return this.areaDescribe;
   }

   public Long getSuperId() {
      return this.superId;
   }

   public String getSuperAreaName() {
      return this.superAreaName;
   }

   public String getDirector() {
      return this.director;
   }

   public String getContactTel() {
      return this.contactTel;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaNum(final String areaNum) {
      this.areaNum = areaNum;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setAreaDescribe(final String areaDescribe) {
      this.areaDescribe = areaDescribe;
   }

   public void setSuperId(final Long superId) {
      this.superId = superId;
   }

   public void setSuperAreaName(final String superAreaName) {
      this.superAreaName = superAreaName;
   }

   public void setDirector(final String director) {
      this.director = director;
   }

   public void setContactTel(final String contactTel) {
      this.contactTel = contactTel;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
